using LitJson;
using System;
using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;
using WS;

public class MoveGuideOperateEditor : IOperateEditor
{
    public string Name => "移动引导";

    public Type Component => typeof(MoveGuideComponent);

    MoveGuideData Data;
    public void Dispose()
    {
       
    }

    public void Init(string json)
    {
        Data = string.IsNullOrEmpty(json) ? new MoveGuideData() : JsonMapper.ToObject<MoveGuideData>(json);
    }

    public void OnGUI()
    {
        Data.targetPos = EditorGUILayout.Vector3Field("移动的目标位置",Data.targetPos);
    }

    public string ToData()
    {
        return JsonMapper.ToJson(Data);
    }
}
